Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface ExtendedPointersType

All Superinterfaces:
  PointersType

All Known Subinterfaces:
  ExtendedPointersWithOwnerType

All Known Implementing Classes:
  ExtendedPointersTypeImpl, ExtendedPointersWithOwnerTypeImpl

    public interface ExtendedPointersType

extends PointersType

An ordered sequence of text-annotated pointers to other infocards, along with attribute data, as follows--name: see documentation; quality: arbitrary string describing the ordering assumed to apply to this ordered sequence of infocards; notes: user-defined string. Java content class for extendedPointersType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 545)

     <complexType name="extendedPointersType">
       <complexContent>
         <extension base="{http://infoml.org/infomlFile}pointersType">
           <attribute name="quality" type="{http://infoml.org/infomlFile}nonnullTokenType" />
           <attribute name="type" type="{http://infoml.org/infomlFile}nonnullTokenType" />
         </extension>
       </complexContent>
     </complexType>

Method Summary
`java.lang.String` | `getQuality()` Gets the value of the quality property.
`java.lang.String` | `getType()` Gets the value of the type property.
`void` | `setQuality(java.lang.String value)` Sets the value of the quality property.
`void` | `setType(java.lang.String value)` Sets the value of the type property.

Methods inherited from interface org.infoml.jaxb.PointersType
`getNotes, getParentPtr, getPtr, setNotes, setParentPtr`

Method Detail

### getQuality

    java.lang.String getQuality()

  Gets the value of the quality property.

  Returns:
    possible object is `String`

### setQuality

    void setQuality(java.lang.String value)

  Sets the value of the quality property.

  Parameters:
    `value` - allowed object is `String`

### getType

    java.lang.String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    void setType(java.lang.String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD